// This file is part of the FlexVer™ reference implementation
//
// © 2017 Raptor Engineering, LLC
// All Rights Reserved
//
// WARNING
// This material may be covered by patent(s) and/or patent(s) pending
//
// Any use of this file without an active FlexVer™ license from
// Raptor Engineering, LLC is strictly prohibited.  A single
// exception to this is made for the sole purpose of third-party
// security auditing of FlexVer™ and associated technologies.
//
// For the security audit exception to apply, the primary purpose
// of the use must be to audit the security of the FlexVer™ technology,
// and Raptor Engineering, LLC must be notified in writing of
// any security flaw(s) or potential security flaw(s) found during
// the audit no less than four (4) weeks in advance of public
// disclosure of said flaw(s).  Furthermore, the number of compiled
// FlexVer™ binaries must be kept to the minimum necessary to conduct
// the security audit, and all compiled FlexVer™ binaries must be
// destroyed once the audit has been completed.  These restrictions
// do not apply to organizations or individuals possessing an active
// FlexVer™ license from Raptor Engineering, LLC.
//
// Additional license(s) beyond an active FlexVer™ license may be required
// for specific use cases.  Contact Raptor Engineeing, LLC for details.
//
// For sales and licensing information, please visit
// https://www.raptorengineering.com
//
// PUBLIC VERSION FOR GENERAL REDISTRIBUTION
// Licensed for use with Raptor Data Solutions, LLC's IntegriCloud™ service

#ifndef MTICLIENT_H
#define MTICLIENT_H

typedef enum {
	MTICLIENT_LOGLEVEL_DEBUG = 4,
	MTICLIENT_LOGLEVEL_INFO = 3,
	MTICLIENT_LOGLEVEL_WARN = 2,
	MTICLIENT_LOGLEVEL_ERR = 1,
	MTICLIENT_LOGLEVEL_NONE = 0,
} mticlient_log_level;

void set_mticlient_loglevel(mticlient_log_level log_level);

#endif // MTICLIENT_H